Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1120543 - (ocramius/lazy-map) Review Request: php-ocramius-lazy-map - Lazy instantiation logic for a map of objects
Review Request: php-ocramius-lazy-map - Lazy instantiation logic for a map of...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ocramius/instantiator
  Show dependency treegraph
 
Reported: 2014-07-17 02:48 EDT by Remi Collet
Modified: 2014-08-07 07:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-ocramius-lazy-map-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 03:00:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review.txt (6.66 KB, text/plain)
2014-07-20 20:29 EDT, Shawn Iwinski
no flags Details
phpcompatinfo.log (6.78 KB, text/x-log)
2014-07-20 20:30 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-07-17 02:48:04 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/bcd0854e4715fdcdf614fde0cae5d16d29023f97/php/php-ocramius-lazy-map/php-ocramius-lazy-map.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-ocramius-lazy-map-1.0.0-1.remi.src.rpm
Description: 
This small library aims at providing a very simple and efficient map
of lazy-instantiating objects.

Fedora Account System Username: remi
Comment 1 Remi Collet 2014-07-17 02:48:54 EDT
As usually, I will clean EL-5 stuff after import.

This is a new dependency of PHPUnit.
Comment 2 Shawn Iwinski 2014-07-20 20:29:55 EDT
Created attachment 919485 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1120543
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Shawn Iwinski 2014-07-20 20:30:44 EDT
Created attachment 919486 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 4 Shawn Iwinski 2014-07-20 20:32:58 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove after initial import.



[x]: Requires correct, justified where necessary.
     
     From phpcompatinfo:
         Requires: php-spl

Non-blocker because provided by php core.  Can be added after initial import.



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2014-07-21 00:33:43 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-ocramius-lazy-map
Short Description: Lazy instantiation logic for a map of objects
Upstream URL: https://github.com/Ocramius/LazyMap
Owners: remi
Branches: f19 f20 f21 el6 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2014-07-21 08:52:41 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-07-21 09:55:52 EDT
php-ocramius-lazy-map-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-ocramius-lazy-map-1.0.0-1.el6
Comment 8 Fedora Update System 2014-07-21 09:55:59 EDT
php-ocramius-lazy-map-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-ocramius-lazy-map-1.0.0-1.fc19
Comment 9 Fedora Update System 2014-07-21 09:56:04 EDT
php-ocramius-lazy-map-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-ocramius-lazy-map-1.0.0-1.fc20
Comment 10 Fedora Update System 2014-07-21 23:30:20 EDT
php-ocramius-lazy-map-1.0.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2014-07-30 03:00:08 EDT
php-ocramius-lazy-map-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2014-07-30 03:03:59 EDT
php-ocramius-lazy-map-1.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2014-08-07 07:45:05 EDT
php-ocramius-lazy-map-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.